<script lang="ts" setup>
import { useMenuStore } from "@/stores/menu";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const menuStore = useMenuStore();
async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await menuStore.saveMenu();
  }
}
</script>
<template>
  <v-dialog v-model="menuStore.dialog" persistent width="1024">
    <v-card color="#EDEADE">
      <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="80px" color="#1C6758"
              style="color: white"><label>เมนูอาหาร</label>
            </v-card>
        </v-row>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field
                  label="Name*"
                  required
                  v-model="menuStore.editedMenu.name"
                  :rules="[
                    (v) => !!v || 'Item is required',
                    (v) => v.length >= 3 || 'Length must more than 3',
                  ]"
                ></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-text-field
                  type="number"
                  label="Price*"
                  required
                  v-model.number="menuStore.editedMenu.price"
                  :rules="[(v) => !!v || 'Item is required']"
                ></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-combobox
                  v-model="menuStore.editedMenu.type"
                  label="Type*"
                  :items="['อาหารจานเดียว', 'ยำ', 'กับข้าว', 'ของทานเล่น', 'เครื่องดื่ม']"
                ></v-combobox>
              </v-col>
              <v-col cols="12">
                <v-autocomplete
                  v-model="menuStore.editedMenu.status"
                  label="Status*"
                  :items="['on', 'off']"
                ></v-autocomplete>
              </v-col>
              <v-col cols="12">
                <v-file-input
                  v-model="menuStore.editedMenu.files"
                  accept="image/*"
                  label="File input"
                  ></v-file-input>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          class="btngr"
          size="x-large"
          @click="menuStore.dialog = false"
        >
          Close
        </v-btn>
        <v-btn class="btng" size="x-large" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
  @import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
  label {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    font-size: 28px !important;
  }
  /* .dialog {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold !important;
    font-size: 18px !important;
  } */
  .btng {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #9BCB3C;
    width: 80px;
}

.btngr {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #C0C0C0;
    width: 80px;
}
</style>
